> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loopreturns.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Blocklist Item

> Retrieve a blocklist entry.

### Required API key scope
- Orders




## OpenAPI

````yaml get /blocklists/{id}
openapi: 3.1.0
info:
  title: Listings API
  description: >-
    Loop Listings can be utilized to allow exceptions and prevent returns in
    specific situations. This API can be used to manage your shop's listings.
  version: v1
servers:
  - url: https://api.loopreturns.com/api/v1
security: []
tags:
  - name: Blocklist
  - name: Allowlist
paths:
  /blocklists/{id}:
    get:
      tags:
        - Blocklist
      summary: Get Blocklist Item
      description: |
        Retrieve a blocklist entry.

        ### Required API key scope
        - Orders
      operationId: getBlocklistItem
      parameters:
        - name: id
          in: path
          required: true
          description: The unique identifier associated with the blocklist entry.
          example: 1
          schema:
            type: integer
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BlocklistEntryWithCreatedAtResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponse'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundResponse'
      security:
        - api_key: []
components:
  schemas:
    BlocklistEntryWithCreatedAtResponse:
      type: object
      properties:
        id:
          type: integer
          examples:
            - 1
          description: The unique identifier associated with the blocklist entry.
        type:
          $ref: '#/components/schemas/BlocklistValueType'
        value:
          type: string
          examples:
            - example@example.com
          description: >-
            The blocked value. Items purchased using this value will be
            ineligible for return.
        secondary_value:
          type:
            - string
            - 'null'
          examples:
            - example.2@example.com
          description: >-
            An additional blocked value associated with this entry. Items
            purchased using this value will also be ineligible for return.
        created_at:
          type:
            - string
            - 'null'
          format: date-time
          examples:
            - '2023-06-09 00:00:00'
          description: The date and time at which the entry was created.
    UnauthorizedResponse:
      type: object
      required:
        - errors
      properties:
        errors:
          type: string
          examples:
            - Unauthorized.
    NotFoundResponse:
      type: object
      properties:
        error:
          description: >-
            The error message returned when a blocklist entry associated with
            the given `id` can't be found.
          type: string
          examples:
            - Listing not found
    BlocklistValueType:
      type: string
      description: >-
        The type of value blocked by this blocklist entry. `order` is the order
        number of the blocked order, `email` is the blocked customer's email
        address, `product` is the variant ID of the blocked product, and
        `product_tag` disables returns for all products with that tag.
      enum:
        - order
        - email
        - product
        - product_tag
  securitySchemes:
    api_key:
      type: apiKey
      name: X-Authorization
      in: header

````